PagedData Data Type

Paginated response wrapper returned by list endpoints. The records element contains the actual data items; use page and size query parameters to navigate pages.

Available Since
1.3.0
Abstract Type
Yes
Properties
Name Type Description
records array of object Records element will be replaced with the applicable data set.
totalElements number Total size of the dataset.
Used in
GET /accounts/{accountId}/shops/{shopId}/carriers response GET /accounts/{accountId}/shops/{shopId}/carriers/expanded response GET /accounts/{accountId}/countries response GET /filters response GET /accounts/{accountId}/shops/{shopId}/motives response GET /accounts/{accountId}/shops/{shopId}/motives/allCustomizable response GET /accounts/{accountId}/shops/{shopId}/motives/{motiveId}/assignedCategories response GET /accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations response GET /accounts/{accountId}/shops/{shopId}/motives/{motiveId}/tags response GET /accounts/{accountId}/shops/{shopId}/motives/{motiveId}/technologies response GET /accounts/{accountId}/shops/{shopId}/orders response GET /accounts/{accountId}/shops/{shopId}/orders/expanded response GET /accounts/{accountId}/shops/{shopId}/orderCsvImport response GET /accounts/{accountId}/shops/{shopId}/orderCsvImport/{id}/lines response GET /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts response GET /accounts/{accountId}/shops/{shopId}/products response GET /accounts/{accountId}/shops/{shopId}/products/expanded response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedCategories response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedColors response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedFactories response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedSizes response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedViews response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/localizations response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/prices response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/sku response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedViews/{assignedViewId}/assignedColors response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedViews/{assignedViewId}/assignedStickers response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedViews/{assignedViewId}/colisions response GET /accounts/{accountId}/shops/{shopId}/sharedProducts response GET /accounts/{accountId}/shippingModules response GET /accounts/{accountId}/shippingModules/{moduleId}/providers response GET /accounts/{accountId}/shops response GET /accounts/{accountId}/shops/{shopId}/userMotives response GET /accounts/{accountId}/shops/{shopId}/webhooks response
PagedData (JSON)
Abstract type. Example may be incomplete.
{
  "pagedData" : {
    "records" : [ { }, { } ],
    "totalElements" : 12345
  }
}
PagedData Data Type

Paginated response wrapper returned by list endpoints. The records element contains the actual data items; use page and size query parameters to navigate pages.

Available Since
1.3.0
Abstract Type
Yes
Properties
Name Type Description
records list of anyType Records element will be replaced with the applicable data set.
totalElements long Total size of the dataset.
Used in
GET /accounts/{accountId}/shops/{shopId}/carriers response GET /accounts/{accountId}/shops/{shopId}/carriers/expanded response GET /accounts/{accountId}/countries response GET /filters response GET /accounts/{accountId}/shops/{shopId}/motives response GET /accounts/{accountId}/shops/{shopId}/motives/allCustomizable response GET /accounts/{accountId}/shops/{shopId}/motives/{motiveId}/assignedCategories response GET /accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations response GET /accounts/{accountId}/shops/{shopId}/motives/{motiveId}/tags response GET /accounts/{accountId}/shops/{shopId}/motives/{motiveId}/technologies response GET /accounts/{accountId}/shops/{shopId}/orders response GET /accounts/{accountId}/shops/{shopId}/orders/expanded response GET /accounts/{accountId}/shops/{shopId}/orderCsvImport response GET /accounts/{accountId}/shops/{shopId}/orderCsvImport/{id}/lines response GET /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts response GET /accounts/{accountId}/shops/{shopId}/products response GET /accounts/{accountId}/shops/{shopId}/products/expanded response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedCategories response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedColors response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedFactories response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedSizes response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedViews response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/localizations response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/prices response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/sku response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedViews/{assignedViewId}/assignedColors response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedViews/{assignedViewId}/assignedStickers response GET /accounts/{accountId}/shops/{shopId}/products/{productId}/assignedViews/{assignedViewId}/colisions response GET /accounts/{accountId}/shops/{shopId}/sharedProducts response GET /accounts/{accountId}/shippingModules response GET /accounts/{accountId}/shippingModules/{moduleId}/providers response GET /accounts/{accountId}/shops response GET /accounts/{accountId}/shops/{shopId}/userMotives response GET /accounts/{accountId}/shops/{shopId}/webhooks response
PagedData (XML)
Abstract type. Example may be incomplete.
<pagedData>
  <records>...</records>
  <totalElements>...</totalElements>
</pagedData>